umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all enums with links to the classes they belong to:

### - a -

- AccessorType : CodeAccessorMethod
- ActivityType : ActivityWidget
- AddWidgetOption : UMLWidget

### - b -

- ButtonCode : SinglePageDialogBase

### - c -

- Category : UMLFinder
- Category_Type : UMLCategory
- ClassFieldType : CodeClassField
- ClassifierType : UMLClassifier
- CombinedFragmentType : CombinedFragmentWidget
- CommentStyle : CodeGenerationPolicy
- ConnectedSide : ChildWidgetPlacement
- ContentType : CodeBlock

### - d -

- DataType : ListPopupMenu
- DBIndex_Type : UMLEntityAttribute
- Draw_Type : UMLArtifact

### - e -

- Enum : Uml::Corner

### - f -

- Filter : UMLFinder
- FilterType : DiagramPrintPage
- FontType : UMLWidget

### - g -

- GenerationState : CodeGenerator
- GroupPosition : StatusBarToolButton

### - i -

- IndentationType : CodeGenerationPolicy

### - l -

- Language : AssocRules
- Level : AssocRules
- ListViewType : UMLListViewItem

### - m -

- MenuType : ListPopupMenu
- MessageType : ToolBarStateMessages
- ModifyNamePolicy : CodeGenerationPolicy

### - n -

- NewLineType : CodeGenerationPolicy
- NodeType : PetalNode
- NoteType : NoteWidget

### - o -

- ObjectNodeType : ObjectNodeWidget
- ObjectType : UMLObject
- OverwritePolicy : CodeGenerationPolicy

### - p -

- Page : ClassPropertiesDialog
- PageType : MultiPageDialogBase

### - r -

- Result : UMLFinder

### - s -

- Section_Type : PascalImport
- ShowingType : DocWindow
- SignalType : SignalWidget
- SpecialIDs : IDChangeLog
- StateType : StateWidget
- SymbolType : Symbol

### - t -

- test : class_enum_literal
- test1 : comments_class_enum_test
- test2 : comments_class_enum_test
- test3 : comments_class_enum_test
- ToolBar_Buttons : WorkToolBar
- TriggerType : DialogsPopupMenu

### - u -

- UMLCopyType : UMLClipboard
- UpdateDeleteAction : UMLForeignKeyConstraint

### - v -

- VisualProperty : ClassifierWidget

### - w -

- WidgetType : WidgetBase
- WriteSectionCommentsPolicy : CodeGenerationPolicy